<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetScannedDocuments StructType
 * @subpackage Structs
 */
class GetScannedDocuments extends ExecutionResult
{
    /**
     * The Documents
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfDocument
     */
    public $Documents;
    /**
     * Constructor method for GetScannedDocuments
     * @uses GetScannedDocuments::setDocuments()
     * @param \ArrayType\ArrayOfDocument $documents
     */
    public function __construct(\ArrayType\ArrayOfDocument $documents = null)
    {
        $this
            ->setDocuments($documents);
    }
    /**
     * Get Documents value
     * @return \ArrayType\ArrayOfDocument|null
     */
    public function getDocuments()
    {
        return $this->Documents;
    }
    /**
     * Set Documents value
     * @param \ArrayType\ArrayOfDocument $documents
     * @return \StructType\GetScannedDocuments
     */
    public function setDocuments(\ArrayType\ArrayOfDocument $documents = null)
    {
        $this->Documents = $documents;
        return $this;
    }
}
